=== debian/changelog ===
texlive-base (2013.20140215-1ubuntu0.1) trusty-security; urgency=medium

  * SECURITY UPDATE: execute arbitrary commands
    - debian/patches/CVE-2016-10243.patch: fixes tex arbitrary code
      execution by removing mpost in texmf/web2c/texmf.cnf.
    - CVE-2016-10243

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 21 Aug 2017 16:44:17 -0300

texlive-base (2013.20140215-1) unstable; urgency=medium

  * new upstream checkout
  * fix dash/bash inconsistency in texlive-base.postinst.post (Closes: #736520)
  * remove some patches included upstream

 -- Norbert Preining <preining@debian.org>  Sat, 15 Feb 2014 11:23:23 +0900

texlive-base (2013.20140123-1) unstable; urgency=medium

  * new upstream checkout
  * t-pictures: changes wish -> tk (Closes: #732784)
  * tighten build-dep on tex-common to >= 4 (Closes: #733414)

 -- Norbert Preining <preining@debian.org>  Thu, 23 Jan 2014 13:12:37 +0900

texlive-base (2013.20131219-1) unstable; urgency=medium

  * new upstream checkout
  * add lost link for /usr/bin/texdoctk, thanks R S Chakravarti.
  * remove left-over config-paper file for dvipdfm (Closes: #731446)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 19 Dec 2013 13:43:58 +0900

texlive-base (2013.20131112-1) unstable; urgency=low

  * new upstream checkout
  * fix wrong lua2dox_filter symlink (Closes: #726793)
  * update patches
  * update tlmgr to devel version to make it actually work

 -- Norbert Preining <preining@debian.org>  Wed, 13 Nov 2013 12:01:14 +0900

texlive-base (2013.20131010-2) unstable; urgency=low

  * fix libpaper integration (outdated path in conffile) (Closes: #726107)
  * remove xdvi.cfg conffile from old versions (Closes: #726076)

 -- Norbert Preining <preining@debian.org>  Wed, 16 Oct 2013 09:26:53 +0900

texlive-base (2013.20131010-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Thu, 10 Oct 2013 12:35:27 +0900

texlive-base (2013.20130918-1) unstable; urgency=low

  * new upstream checkout
  * remove !! from TEXMFSYSCONFIG, we don't want ls-R files in /etc/texmf
    (Closes: #722689)

 -- Norbert Preining <preining@debian.org>  Wed, 18 Sep 2013 12:40:03 +0900

texlive-base (2013.20130905-1) unstable; urgency=low

  * new upstream checkout
    - don't ship strange duplicates of Nimbus Sans (Closes: #690125)
  * remove /etc/texmf/dvipdfm/config/config (Closes: #713797)
  * do not ship marvosym.ttf via dependency (Closes: #721716)
  * bump standards version to 3.9.4, no changes necessary
  * fix man section of updmap.cfg man page
  * fix man page of mptopdf
  * stop shipping TeX Gyre Math fonts, they are in tex-gyre package

 -- Norbert Preining <preining@debian.org>  Thu, 05 Sep 2013 11:46:27 +0900
